--- a/driver/wl_iw.c
+++ a/driver/wl_iw.c
@@ -100,7 +100,9 @@ dev_wlc_ioctl(
 {
 	struct ifreq ifr;
 	wl_ioctl_t ioc;
+#if LINUX_VERSION_CODE < KERNEL_VERSION(5, 13, 0)
 	mm_segment_t fs;
+#endif
 	int ret;
 
 	memset(&ioc, 0, sizeof(ioc));
@@ -118,10 +120,14 @@ dev_wlc_ioctl(
 	dev_open(dev);
 #endif
 
+#if LINUX_VERSION_CODE < KERNEL_VERSION(5, 13, 0)
 	fs = get_fs();
 	set_fs(KERNEL_DS);
+#endif
 	ret = dev->netdev_ops->ndo_do_ioctl(dev, &ifr, SIOCDEVPRIVATE);
+#if LINUX_VERSION_CODE < KERNEL_VERSION(5, 13, 0)
 	set_fs(fs);
+#endif
 
 	return ret;
 }
